class ReportTemplates:
    report_global = {
        "vars": [
            {"name": "name", "display_name": "Name"},
            {"name": "num_doc", "display_name": "Berichtsheft Nummer"},
            {"name": "year", "display_name": "Jahr"},
            {"name": "week", "display_name": "Kalenderwoche"},
            {"name": "start_date", "display_name": "Von"},
            {"name": "end_date", "display_name": "bis"},
            {"name": "department", "display_name": "Abteilung"},
        ]
    }

    def get_template(id) -> dict:
        match id:
            case "weekly":
                weekly = {
                    "vars": [
                        {
                            "name": "company_text",
                            "display_name": "Betriebliche Tätigkeiten",
                        },
                        {"name": "week_topic", "display_name": "Thema der Woche"},
                        {"name": "school_text", "display_name": "Berufsschule"},
                    ]
                }

                weekly["vars"].extend(ReportTemplates.report_global["vars"])
                return weekly
